IF (EXISTS(SELECT * FROM  INFORMATION_SCHEMA.TABLES	WHERE TABLE_SCHEMA = 'dbo' AND TABLE_NAME='CardAttribute'))
BEGIN
 DROP TABLE CardAttribute
END

IF (EXISTS(SELECT * FROM  INFORMATION_SCHEMA.TABLES	WHERE TABLE_SCHEMA = 'dbo' AND TABLE_NAME='CardCategory'))
BEGIN
 DROP TABLE CardCategory
END

IF (EXISTS(SELECT * FROM  INFORMATION_SCHEMA.TABLES	WHERE TABLE_SCHEMA = 'dbo' AND TABLE_NAME='CardsTypeCard'))
BEGIN
 DROP TABLE CardsTypeCard
END

IF (EXISTS(SELECT * FROM  INFORMATION_SCHEMA.TABLES	WHERE TABLE_SCHEMA = 'dbo' AND TABLE_NAME='DeckCard'))
BEGIN
 DROP TABLE DeckCard
END

IF (EXISTS(SELECT * FROM  INFORMATION_SCHEMA.TABLES	WHERE TABLE_SCHEMA = 'dbo' AND TABLE_NAME='UserCard'))
BEGIN
 DROP TABLE UserCard
END

IF (EXISTS(SELECT * FROM  INFORMATION_SCHEMA.TABLES	WHERE TABLE_SCHEMA = 'dbo' AND TABLE_NAME='UserDeck'))
BEGIN
 DROP TABLE UserDeck
END

IF (EXISTS(SELECT * FROM  INFORMATION_SCHEMA.TABLES	WHERE TABLE_SCHEMA = 'dbo' AND TABLE_NAME='Deck'))
BEGIN
 DROP TABLE Deck
END

IF (EXISTS(SELECT * FROM  INFORMATION_SCHEMA.TABLES	WHERE TABLE_SCHEMA = 'dbo' AND TABLE_NAME='User'))
BEGIN
 DROP TABLE [User]
END

IF (EXISTS(SELECT * FROM  INFORMATION_SCHEMA.TABLES	WHERE TABLE_SCHEMA = 'dbo' AND TABLE_NAME='Card'))
BEGIN
 DROP TABLE [Card]
END

IF (EXISTS(SELECT * FROM  INFORMATION_SCHEMA.TABLES	WHERE TABLE_SCHEMA = 'dbo' AND TABLE_NAME='Attribute'))
BEGIN
 DROP TABLE Attribute
END

IF (EXISTS(SELECT * FROM  INFORMATION_SCHEMA.TABLES	WHERE TABLE_SCHEMA = 'dbo' AND TABLE_NAME='Rarity'))
BEGIN
 DROP TABLE Rarity
END

IF (EXISTS(SELECT * FROM  INFORMATION_SCHEMA.TABLES	WHERE TABLE_SCHEMA = 'dbo' AND TABLE_NAME='Category'))
BEGIN
 DROP TABLE Category
END

IF (EXISTS(SELECT * FROM  INFORMATION_SCHEMA.TABLES	WHERE TABLE_SCHEMA = 'dbo' AND TABLE_NAME='TypeCard'))
BEGIN
 DROP TABLE TypeCard
END

IF (EXISTS(SELECT * FROM  INFORMATION_SCHEMA.TABLES	WHERE TABLE_SCHEMA = 'dbo' AND TABLE_NAME='Game'))
BEGIN
 DROP TABLE Game
END